This page provides an overview of axis configuration in AG Charts, including automatic axis selection, customisation basics, and how to bind axes to series.
Automatic Axis Selection Copy Link
In most cases, AG Charts will automatically select an appropriate axis type based on the data and series type used in the chart.
This automatic selection removes the need for explicit axis configuration in many scenarios.
Customising Axes Copy Link
Axes are referenced using a dictionary of axis definitions, where each axis is identified by a key. The default keys are x and y for cartesian axes, or radius and angle for polar axes.
Only the configured chart axes and options must be provided. It is recommended to provide the type to allow type-checking and improved options validation. When using Secondary Axes, it is recommended to specify position to prevent ambiguity.
import { createApp, defineComponent, ref } from "vue";
import { AgCharts } from "ag-charts-vue3";
import type { AgChartOptions } from "ag-charts-types";
import { AllCommunityModule, ModuleRegistry } from "ag-charts-community";
import { getData } from "./data";
ModuleRegistry.registerModules(AllCommunityModule);
const ChartExample = defineComponent({
template: `
<ag-charts
:options="options"
/>
`,
components: {
"ag-charts": AgCharts,
},
setup(props) {
const options = ref<AgCartesianChartOptions>({
data: getData(),
title: {
text: "Monthly Sales",
},
series: [
{
type: "bar",
xKey: "month",
yKey: "sales",
yName: "Sales",
},
],
axes: {
x: {
type: "category",
label: { fontSize: 15 },
},
y: {
type: "number",
title: { text: "Sales (USD)" },
},
},
});
return {
options,
};
},
});
createApp(ChartExample).mount("#app");
export function getData(): any[] {
return [
{ month: "Jan", sales: 3500 },
{ month: "Feb", sales: 4200 },
{ month: "Mar", sales: 5500 },
{ month: "Apr", sales: 4800 },
{ month: "May", sales: 6200 },
{ month: "Jun", sales: 7500 },
];
}
{
axes: {
x: {
type: 'category',
label: { fontSize: 15 },
},
y: {
type: 'number',
title: { text: 'Sales (USD)' },
},
},
}In this example:
- The axes are using the default
xandykeys, and are automatically linked to the series. - The
xaxis is customised with a larger font size, and theyaxis is customised with a title. - All other axis options use the defaults.
Axis Title Orientation Copy Link
The axis title aligns with the axis line. Use the title.orientation option to customise this
'horizontal'renders the title in the normal left-to-right reading direction.'vertical'and'vertical-reversed'rotate it a quarter-turn in opposite directions, which is useful for flipping a secondary axis title.
{
axes: {
y: {
type: 'number',
title: { text: 'Sales (USD)', orientation: 'horizontal' },
},
},
} Secondary and Named Axes Copy Link
While x and y are the default axis keys for cartesian charts, you can define axes with custom keys. This allows for creating secondary axes or using more descriptive names for readability.
import { createApp, defineComponent, ref } from "vue";
import { AgCharts } from "ag-charts-vue3";
import type { AgChartOptions } from "ag-charts-types";
import { AllCommunityModule, ModuleRegistry } from "ag-charts-community";
import { getData } from "./data";
ModuleRegistry.registerModules(AllCommunityModule);
const ChartExample = defineComponent({
template: `
<ag-charts
:options="options"
/>
`,
components: {
"ag-charts": AgCharts,
},
setup(props) {
const options = ref<AgChartOptions>({
data: getData(),
title: {
text: "Monthly Revenue and Profit",
},
series: [
{
type: "bar",
xKey: "month",
yKey: "profit",
yName: "Profit Margin",
yKeyAxis: "profit",
},
{
type: "line",
xKey: "month",
yKey: "revenue",
yName: "Revenue",
yKeyAxis: "revenue",
},
],
axes: {
revenue: {
type: "number",
position: "right",
title: { text: "Revenue" },
},
profit: {
type: "number",
position: "left",
title: { text: "Profit" },
},
},
});
return {
options,
};
},
});
createApp(ChartExample).mount("#app");
export function getData(): any[] {
return [
{ month: "Jan", revenue: 14200, profit: 2900 },
{ month: "Feb", revenue: 15800, profit: 3300 },
{ month: "Mar", revenue: 17150, profit: 3600 },
{ month: "Apr", revenue: 16500, profit: 3400 },
{ month: "May", revenue: 18900, profit: 4100 },
{ month: "Jun", revenue: 20100, profit: 4450 },
];
}
For detailed information on creating and configuring secondary axes, see the Secondary Axes page.
Polar Axes Copy Link
For radial and polar charts, the angle and radius axes replace the traditional x and y axes. These use the angle and radius keys by default.
{
axes: {
angle: {
type: 'angle-category',
},
radius: {
type: 'radius-number',
},
},
}Refer to the individual series documentation such as Radar Area or Radial Bar, for specific axis configuration details.
Customisation Copy Link
For a comprehensive list of all axis configuration options, see the Axis Types API Reference.

This page provides an overview of axis configuration in AG Charts, including automatic axis selection, customisation basics, and how to bind axes to series.
Automatic Axis Selection Copy Link
In most cases, AG Charts will automatically select an appropriate axis type based on the data and series type used in the chart.
This automatic selection removes the need for explicit axis configuration in many scenarios.
Customising Axes Copy Link
Axes are referenced using a dictionary of axis definitions, where each axis is identified by a key. The default keys are x and y for cartesian axes, or radius and angle for polar axes.
Only the configured chart axes and options must be provided. It is recommended to provide the type to allow type-checking and improved options validation. When using Secondary Axes, it is recommended to specify position to prevent ambiguity.
import React, { useState } from "react";
import { createRoot } from "react-dom/client";
import { AgCharts } from "ag-charts-react";
import {
AgCartesianChartOptions,
AllCommunityModule,
ModuleRegistry,
} from "ag-charts-community";
import { getData } from "./data";
ModuleRegistry.registerModules(AllCommunityModule);
const ChartExample = () => {
const [options, setOptions] = useState<AgCartesianChartOptions>({
data: getData(),
title: {
text: "Monthly Sales",
},
series: [
{
type: "bar",
xKey: "month",
yKey: "sales",
yName: "Sales",
},
],
axes: {
x: {
type: "category",
label: { fontSize: 15 },
},
y: {
type: "number",
title: { text: "Sales (USD)" },
},
},
});
return <AgCharts options={options} />;
};
const root = createRoot(document.getElementById("root")!);
root.render(<ChartExample />);
export function getData(): any[] {
return [
{ month: "Jan", sales: 3500 },
{ month: "Feb", sales: 4200 },
{ month: "Mar", sales: 5500 },
{ month: "Apr", sales: 4800 },
{ month: "May", sales: 6200 },
{ month: "Jun", sales: 7500 },
];
}
{
axes: {
x: {
type: 'category',
label: { fontSize: 15 },
},
y: {
type: 'number',
title: { text: 'Sales (USD)' },
},
},
}In this example:
- The axes are using the default
xandykeys, and are automatically linked to the series. - The
xaxis is customised with a larger font size, and theyaxis is customised with a title. - All other axis options use the defaults.
Axis Title Orientation Copy Link
The axis title aligns with the axis line. Use the title.orientation option to customise this
'horizontal'renders the title in the normal left-to-right reading direction.'vertical'and'vertical-reversed'rotate it a quarter-turn in opposite directions, which is useful for flipping a secondary axis title.
{
axes: {
y: {
type: 'number',
title: { text: 'Sales (USD)', orientation: 'horizontal' },
},
},
} Secondary and Named Axes Copy Link
While x and y are the default axis keys for cartesian charts, you can define axes with custom keys. This allows for creating secondary axes or using more descriptive names for readability.
import React, { useState } from "react";
import { createRoot } from "react-dom/client";
import { AgCharts } from "ag-charts-react";
import {
AgChartOptions,
AllCommunityModule,
ModuleRegistry,
} from "ag-charts-community";
import { getData } from "./data";
ModuleRegistry.registerModules(AllCommunityModule);
const ChartExample = () => {
const [options, setOptions] = useState<AgChartOptions>({
data: getData(),
title: {
text: "Monthly Revenue and Profit",
},
series: [
{
type: "bar",
xKey: "month",
yKey: "profit",
yName: "Profit Margin",
yKeyAxis: "profit",
},
{
type: "line",
xKey: "month",
yKey: "revenue",
yName: "Revenue",
yKeyAxis: "revenue",
},
],
axes: {
revenue: {
type: "number",
position: "right",
title: { text: "Revenue" },
},
profit: {
type: "number",
position: "left",
title: { text: "Profit" },
},
},
});
return <AgCharts options={options} />;
};
const root = createRoot(document.getElementById("root")!);
root.render(<ChartExample />);
export function getData(): any[] {
return [
{ month: "Jan", revenue: 14200, profit: 2900 },
{ month: "Feb", revenue: 15800, profit: 3300 },
{ month: "Mar", revenue: 17150, profit: 3600 },
{ month: "Apr", revenue: 16500, profit: 3400 },
{ month: "May", revenue: 18900, profit: 4100 },
{ month: "Jun", revenue: 20100, profit: 4450 },
];
}
For detailed information on creating and configuring secondary axes, see the Secondary Axes page.
Polar Axes Copy Link
For radial and polar charts, the angle and radius axes replace the traditional x and y axes. These use the angle and radius keys by default.
{
axes: {
angle: {
type: 'angle-category',
},
radius: {
type: 'radius-number',
},
},
}Refer to the individual series documentation such as Radar Area or Radial Bar, for specific axis configuration details.
Customisation Copy Link
For a comprehensive list of all axis configuration options, see the Axis Types API Reference.

This page provides an overview of axis configuration in AG Charts, including automatic axis selection, customisation basics, and how to bind axes to series.
Automatic Axis Selection Copy Link
In most cases, AG Charts will automatically select an appropriate axis type based on the data and series type used in the chart.
This automatic selection removes the need for explicit axis configuration in many scenarios.
Customising Axes Copy Link
Axes are referenced using a dictionary of axis definitions, where each axis is identified by a key. The default keys are x and y for cartesian axes, or radius and angle for polar axes.
Only the configured chart axes and options must be provided. It is recommended to provide the type to allow type-checking and improved options validation. When using Secondary Axes, it is recommended to specify position to prevent ambiguity.
import { Component } from "@angular/core";
import { AgCharts } from "ag-charts-angular";
import {
AgCartesianChartOptions,
AllCommunityModule,
ModuleRegistry,
} from "ag-charts-community";
import { getData } from "./data";
ModuleRegistry.registerModules(AllCommunityModule);
@Component({
selector: "my-app",
standalone: true,
imports: [AgCharts],
template: `<ag-charts
[options]="options"
></ag-charts>
`,
})
export class AppComponent {
public options;
constructor() {
this.options = {
data: getData(),
title: {
text: "Monthly Sales",
},
series: [
{
type: "bar",
xKey: "month",
yKey: "sales",
yName: "Sales",
},
],
axes: {
x: {
type: "category",
label: { fontSize: 15 },
},
y: {
type: "number",
title: { text: "Sales (USD)" },
},
},
};
}
}
export function getData(): any[] {
return [
{ month: "Jan", sales: 3500 },
{ month: "Feb", sales: 4200 },
{ month: "Mar", sales: 5500 },
{ month: "Apr", sales: 4800 },
{ month: "May", sales: 6200 },
{ month: "Jun", sales: 7500 },
];
}
// Angular entry point file
import '@angular/compiler';
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent);
{
axes: {
x: {
type: 'category',
label: { fontSize: 15 },
},
y: {
type: 'number',
title: { text: 'Sales (USD)' },
},
},
}In this example:
- The axes are using the default
xandykeys, and are automatically linked to the series. - The
xaxis is customised with a larger font size, and theyaxis is customised with a title. - All other axis options use the defaults.
Axis Title Orientation Copy Link
The axis title aligns with the axis line. Use the title.orientation option to customise this
'horizontal'renders the title in the normal left-to-right reading direction.'vertical'and'vertical-reversed'rotate it a quarter-turn in opposite directions, which is useful for flipping a secondary axis title.
{
axes: {
y: {
type: 'number',
title: { text: 'Sales (USD)', orientation: 'horizontal' },
},
},
} Secondary and Named Axes Copy Link
While x and y are the default axis keys for cartesian charts, you can define axes with custom keys. This allows for creating secondary axes or using more descriptive names for readability.
import { Component } from "@angular/core";
import { AgCharts } from "ag-charts-angular";
import {
AgChartOptions,
AllCommunityModule,
ModuleRegistry,
} from "ag-charts-community";
import { getData } from "./data";
ModuleRegistry.registerModules(AllCommunityModule);
@Component({
selector: "my-app",
standalone: true,
imports: [AgCharts],
template: `<ag-charts
[options]="options"
></ag-charts>
`,
})
export class AppComponent {
public options;
constructor() {
this.options = {
data: getData(),
title: {
text: "Monthly Revenue and Profit",
},
series: [
{
type: "bar",
xKey: "month",
yKey: "profit",
yName: "Profit Margin",
yKeyAxis: "profit",
},
{
type: "line",
xKey: "month",
yKey: "revenue",
yName: "Revenue",
yKeyAxis: "revenue",
},
],
axes: {
revenue: {
type: "number",
position: "right",
title: { text: "Revenue" },
},
profit: {
type: "number",
position: "left",
title: { text: "Profit" },
},
},
};
}
}
export function getData(): any[] {
return [
{ month: "Jan", revenue: 14200, profit: 2900 },
{ month: "Feb", revenue: 15800, profit: 3300 },
{ month: "Mar", revenue: 17150, profit: 3600 },
{ month: "Apr", revenue: 16500, profit: 3400 },
{ month: "May", revenue: 18900, profit: 4100 },
{ month: "Jun", revenue: 20100, profit: 4450 },
];
}
// Angular entry point file
import '@angular/compiler';
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
bootstrapApplication(AppComponent);
For detailed information on creating and configuring secondary axes, see the Secondary Axes page.
Polar Axes Copy Link
For radial and polar charts, the angle and radius axes replace the traditional x and y axes. These use the angle and radius keys by default.
{
axes: {
angle: {
type: 'angle-category',
},
radius: {
type: 'radius-number',
},
},
}Refer to the individual series documentation such as Radar Area or Radial Bar, for specific axis configuration details.
Customisation Copy Link
For a comprehensive list of all axis configuration options, see the Axis Types API Reference.